Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.requestParameterProvider.jsf
Class RequestParameterExternalContextWrapper

    java.lang.Object
      javax.faces.context.ExternalContext
          javax.faces.context.ExternalContextWrapper
              org.apache.myfaces.orchestra.requestParameterProvider.jsf.RequestParameterExternalContextWrapper

All Implemented Interfaces:
  javax.faces.FacesWrapper<javax.faces.context.ExternalContext>

    public class RequestParameterExternalContextWrapper

extends javax.faces.context.ExternalContextWrapper

Field Summary

Fields inherited from class javax.faces.context.ExternalContext
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`RequestParameterExternalContextWrapper(javax.faces.context.ExternalContext delegate)`

Method Summary
`String` | `encodeRedirectURL(String baseUrl, Map<String,List<String>> parameters)`
`javax.faces.context.ExternalContext` | `getWrapped()`

Methods inherited from class javax.faces.context.ExternalContextWrapper
`addResponseCookie, addResponseHeader, dispatch, encodeActionURL, encodeBookmarkableURL, encodeNamespace, encodePartialActionURL, encodeResourceURL, getApplicationMap, getAuthType, getContext, getContextName, getFlash, getInitParameter, getInitParameterMap, getMimeType, getRealPath, getRemoteUser, getRequest, getRequestCharacterEncoding, getRequestContentLength, getRequestContentType, getRequestContextPath, getRequestCookieMap, getRequestHeaderMap, getRequestHeaderValuesMap, getRequestLocale, getRequestLocales, getRequestMap, getRequestParameterMap, getRequestParameterNames, getRequestParameterValuesMap, getRequestPathInfo, getRequestScheme, getRequestServerName, getRequestServerPort, getRequestServletPath, getResource, getResourceAsStream, getResourcePaths, getResponse, getResponseBufferSize, getResponseCharacterEncoding, getResponseContentType, getResponseOutputStream, getResponseOutputWriter, getSession, getSessionMap, getUserPrincipal, invalidateSession, isResponseCommitted, isUserInRole, log, log, redirect, responseFlushBuffer, responseReset, responseSendError, setRequest, setRequestCharacterEncoding, setResponse, setResponseBufferSize, setResponseCharacterEncoding, setResponseContentLength, setResponseContentType, setResponseHeader, setResponseStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestParameterExternalContextWrapper

    public RequestParameterExternalContextWrapper(javax.faces.context.ExternalContext delegate)

Method Detail

### encodeRedirectURL

    public String encodeRedirectURL(String baseUrl,
                                    Map<String,List<String>> parameters)

  Overrides:
    `encodeRedirectURL` in class `javax.faces.context.ExternalContextWrapper`

### getWrapped

    public javax.faces.context.ExternalContext getWrapped()

  Specified by:
    `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.context.ExternalContext>`
  Overrides:
    `getWrapped` in class `javax.faces.context.ExternalContextWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.